From: Sophie Brun <sophie@offensive-security.com>
Date: Wed, 25 May 2022 11:32:26 +0200
Subject: Adapt settings for Kali

We use the user _defectdojo (not defectdojo) to follow the Debian policy.
Adapt the settings to run defectdojo outside the Dockers containers.
---
 dojo/settings/settings.dist.py | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/dojo/settings/settings.dist.py b/dojo/settings/settings.dist.py
index f26c28a..2dba3e0 100644
--- a/dojo/settings/settings.dist.py
+++ b/dojo/settings/settings.dist.py
@@ -71,8 +71,8 @@ env = environ.FileAwareEnv(
     DD_MEDIA_URL=(str, "/media/"),
     DD_MEDIA_ROOT=(str, root("media")),
     DD_STATIC_URL=(str, "/static/"),
-    DD_STATIC_ROOT=(str, root("static")),
-    DD_CELERY_BROKER_URL=(str, ""),
+    DD_STATIC_ROOT=(str, root("dojo/static")),
+    DD_CELERY_BROKER_URL=(str, "redis://127.0.0.1:42004/0"),
     DD_CELERY_BROKER_SCHEME=(str, "sqla+sqlite"),
     DD_CELERY_BROKER_USER=(str, ""),
     DD_CELERY_BROKER_PASSWORD=(str, ""),
@@ -98,7 +98,7 @@ env = environ.FileAwareEnv(
     DD_TEST_DATABASE_NAME=(str, "test_defectdojo"),
     DD_DATABASE_PASSWORD=(str, "defectdojo"),
     DD_DATABASE_PORT=(int, 3306),
-    DD_DATABASE_USER=(str, "defectdojo"),
+    DD_DATABASE_USER=(str, "_defectdojo"),
     DD_SECRET_KEY=(str, ""),
     DD_CREDENTIAL_AES_256_KEY=(str, "."),
     DD_DATA_UPLOAD_MAX_MEMORY_SIZE=(int, 8388608),  # Max post size set to 8mb
